# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}

%define section     free

Name:           plexus-avalon-personality
Version:        0.13
Release:        1jpp
Epoch:          0
Summary:        Plexus avalon Personality
License:        Apache Software License 2.0
Group:          Development/Java
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://plexus.codehaus.org/
Source0:        plexus-avalon-personality-0.13-src.tar.gz
# svn export svn://svn.plexus.codehaus.org/plexus/scm/tags/plexus-avalon-personality-0.13/
Source1:        plexus-avalon-personality-0.13-build.xml
Source2:        plexus-avalon-personality-0.13-project.xml
Patch0:         plexus-avalon-personality-0.13-AvalonComponentRepository.patch
Patch1:         plexus-avalon-personality-0.13-AvalonConfiguration.patch
Patch2:         plexus-avalon-personality-0.13-AvalonLifecycleHandler.patch
Patch3:         plexus-avalon-personality-0.13-ComposePhase.patch
Patch4:         plexus-avalon-personality-0.13-ConfigurePhase.patch
Patch5:         plexus-avalon-personality-0.13-ContextualizePhase.patch
Patch6:         plexus-avalon-personality-0.13-DisposePhase.patch
Patch7:         plexus-avalon-personality-0.13-InitializePhase.patch
Patch8:         plexus-avalon-personality-0.13-LogDisablePhase.patch
Patch9:         plexus-avalon-personality-0.13-LogEnablePhase.patch
Patch10:        plexus-avalon-personality-0.13-ReconfigurePhase.patch
Patch11:        plexus-avalon-personality-0.13-RecontextualizePhase.patch
Patch12:        plexus-avalon-personality-0.13-ResumePhase.patch
Patch13:        plexus-avalon-personality-0.13-ServicePhase.patch
Patch14:        plexus-avalon-personality-0.13-StartPhase.patch
Patch15:        plexus-avalon-personality-0.13-StopPhase.patch
Patch16:        plexus-avalon-personality-0.13-SuspendPhase.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
%if %{with_maven}
BuildRequires:  maven
%endif
BuildRequires:  classworlds >= 0:1.1
BuildRequires:  excalibur-avalon-framework-api
BuildRequires:  plexus-container-default
BuildRequires:  plexus-utils

Requires:  excalibur-avalon-framework-api
Requires:  plexus-container-default

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -n plexus-avalon-personality-0.13
cp %{SOURCE1} build.xml
cp %{SOURCE2} project.xml

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav
%patch14 -b .sav
%patch15 -b .sav
%patch16 -b .sav

%build
%if %{with_maven}
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars \
maven-jelly-tags

mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
classworlds \
excalibur/avalon-framework-api \
plexus/container-default \
plexus/utils

export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        jar:install javadoc

%else

mkdir -p target/lib
build-jar-repository -s -p target/lib \
classworlds \
excalibur/avalon-framework-api \
plexus/container-default \
plexus/utils \

ant jar javadoc

%endif

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/plexus
install -pm 644 target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/plexus/avalon-personality-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/plexus && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}



%changelog
* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.13-1jpp
- First JPackage build

